
QGIS Application - Bug report #750

CMYK Colorpicker causes crash in  OS X

2007-08-15 09:20 PM - John Tull

Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10809

Description

In OS X, I have discovered that using the CMYK color picker when editing vector layer symbology leads to a crash of qgis.app. Any layer,

when editing colors and using the CMYK color picker, will result in the crash when the color picker is closed. The crash log to Console.app

from a bash-initiated session follows:

Host Name:      XXXXXXXX

Date/Time:      2007-08-15 21:12:24.798 -0700

OS Version:     10.4.10 (Build 8R2218)

Report Version: 4

Command: qgis

Path:    /Applications/qgis0.9.0preview1.app/Contents/MacOS/qgis

Parent:  bash r18165

Version: 0.9.0-Preview-1 (7141) (0.9.0-Preview-1)

PID:    18166

Thread: 0

Exception:  EXC_BREAKPOINT (0x0006)

Coder0:    0x00000002

Coder1:    0x00000000

Thread 0 Crashed:

0   libobjc.A.dylib          0x90a61b09 _objc_error + 86

1   libobjc.A.dylib          0x90a61b40 +objc_error + 45

2   libobjc.A.dylib          0x90a601a0 _freedHandler + 53

3   com.apple.Foundation     0x927d98cf NSPopAutoreleasePool + 530

4   [[QtGui]]                    0x0100dba3 QMacCocoaAutoReleasePool::~QMacCocoaAutoReleasePool [in-charge]() + 35

5   [[QtGui]]                    0x0100d90a macGetRgba(unsigned, bool, bool*, QWidget*) + 972

6   [[QtGui]]                    0x0100d9ed macGetColor(QColor const&, QWidget*) + 53

7   [[QtGui]]                    0x013bce6c QColorDialog::getColor(QColor const&, QWidget*) + 32

8   org.qgis.qgis            0x000a8f4a [[QgsSingleSymbolDialog]]::selectFillColor() + 68

9   org.qgis.qgis            0x00128087 [[QgsSingleSymbolDialog]]::qt_metacall(QMetaObject::Call, int, void**) + 185

10  [[QtCore]]                   0x01bc7e33 QMetaObject::activate(QObject*, int, int, void**) + 941

11  [[QtGui]]                    0x014d3913 QAbstractButton::clicked(bool) + 75

12  [[QtGui]]                    0x012d27dd QAbstractButtonPrivate::emitClicked() + 55

13  [[QtGui]]                    0x012d3941 QAbstractButtonPrivate::click() + 131

14  [[QtGui]]                    0x012d3b36 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 114

15  [[QtGui]]                    0x0138c22c QToolButton::mouseReleaseEvent(QMouseEvent*) + 28
16  [[QtGui]]                    0x01052321 QWidget::event(QEvent*) + 1265

17  [[QtGui]]                    0x012d2a5d QAbstractButton::event(QEvent*) + 71

18  [[QtGui]]                    0x0138c0b2 QToolButton::event(QEvent*) + 24

19  [[QtGui]]                    0x010160e2 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 438

20  [[QtGui]]                    0x010190c2 QApplication::notify(QObject*, QEvent*) + 3152

21  [[QtCore]]                   0x01bb8573 QCoreApplication::notifyInternal(QObject*, QEvent*) + 83

22  [[QtGui]]                    0x010603dd QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 4819

23  com.apple.HIToolbox      0x92dec537 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

1093

24  com.apple.HIToolbox      0x92debbdc [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

25  com.apple.HIToolbox      0x92df2fbc [[SendEventToEventTarget]] + 56

26  com.apple.HIToolbox      0x92df344f [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*, void*)

+ 1169

27  com.apple.HIToolbox      0x92dec8ee [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

2044

28  com.apple.HIToolbox      0x92debbdc [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

29  com.apple.HIToolbox      0x92df2fbc [[SendEventToEventTarget]] + 56

30  [[QtGui]]                    0x0105bbaa qt_mac_send_event(QFlags<QEventLoop::ProcessEventsFlag>, [[OpaqueEventRef]]*,

[[OpaqueWindowPtr]]*) + 86

31  [[QtGui]]                    0x01068df2 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 624

32  [[QtCore]]                   0x01bb8194 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 54

33  [[QtCore]]                   0x01bb82b3 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 109

34  [[QtGui]]                    0x013be479 QDialog::exec() + 225

35  org.qgis.qgis            0x000edde5 [[QgsLegend]]::legendLayerShowProperties() + 321

36  [[QtGui]]                    0x01052549 QWidget::event(QEvent*) + 1817

37  [[QtGui]]                    0x01310799 QFrame::event(QEvent*) + 33

38  [[QtGui]]                    0x01391143 QAbstractScrollArea::viewportEvent(QEvent*) + 421

39  [[QtGui]]                    0x0140d3d6 QAbstractItemView::viewportEvent(QEvent*) + 1558

40  [[QtGui]]                    0x01440ca0 QTreeView::viewportEvent(QEvent*) + 538

41  [[QtGui]]                    0x0153b870 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48

42  [[QtGui]]                    0x01016096 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 362

43  [[QtGui]]                    0x010190c2 QApplication::notify(QObject*, QEvent*) + 3152

44  [[QtCore]]                   0x01bb8573 QCoreApplication::notifyInternal(QObject*, QEvent*) + 83

45  [[QtGui]]                    0x010603dd QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 4819

46  com.apple.HIToolbox      0x92dec537 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

1093

47  com.apple.HIToolbox      0x92debbdc [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

48  com.apple.HIToolbox      0x92df2fbc [[SendEventToEventTarget]] + 56

49  [[QtGui]]                    0x010796d9 QWidgetPrivate::qt_window_event(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*, void*) +

1483

50  com.apple.HIToolbox      0x92dec537 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

1093

51  com.apple.HIToolbox      0x92debbdc [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

52  com.apple.HIToolbox      0x92df2fbc [[SendEventToEventTarget]] + 56

53  com.apple.HIToolbox      0x92df344f [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*, void*)

+ 1169

54  com.apple.HIToolbox      0x92dec8ee [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*, [[HandlerCallRec]]*) +

2025-04-27 2/9



2044

55  com.apple.HIToolbox      0x92debbdc [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 304

56  com.apple.HIToolbox      0x92df2fbc [[SendEventToEventTarget]] + 56

57  [[QtGui]]                    0x0105bbaa qt_mac_send_event(QFlags<QEventLoop::ProcessEventsFlag>, [[OpaqueEventRef]]*,

[[OpaqueWindowPtr]]*) + 86

58  [[QtGui]]                    0x01068df2 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 624

59  [[QtCore]]                   0x01bb8194 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 54

60  [[QtCore]]                   0x01bb82b3 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 109

61  [[QtCore]]                   0x01bba22f QCoreApplication::exec() + 147

62  org.qgis.qgis            0x00009576 main + 5106

63  org.qgis.qgis            0x00007302 _start + 216

64  org.qgis.qgis            0x00007229 start + 41

Thread 1:

0   libSystem.B.dylib        0x9001a1cc select + 12

1   [[QtCore]]                   0x01b0b6ce QThreadPrivate::start(void*) + 190

2   libSystem.B.dylib        0x90024227 _pthread_body + 84

Thread 2:

0   libSystem.B.dylib        0x9001a1cc select + 12

1   libSystem.B.dylib        0x90024227 _pthread_body + 84

Thread 3:

0   libSystem.B.dylib        0x9003f6cf syscall_thread_switch + 7

1   com.apple.AppKit         0x9336a66e -[NSUIHeartBeat _heartBeatThread:] + 1399

2   com.apple.Foundation     0x927f52e0 forkThreadForFunction + 123

3   libSystem.B.dylib        0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):

  eax: 0x0000000a  ebx: 0x90a61ac3  ecx: 0xa0001e80  edx: 0x00000000

  edi: 0x14e85f50  esi: 0xbfffb400  ebp: 0xbfffc408  esp: 0xbfffb3f0

   ss: 0x0000001f  efl: 0x00000282  eip: 0x90a61b09   cs: 0x00000017

   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

Binary Images Description:

    0x1000 -   0x1c6fff org.qgis.qgis 0.9.0-Preview-1 (7141) (0.9.0-Preview-1)   

/Applications/qgis0.9.0preview1.app/Contents/MacOS/qgis

  0x299000 -   0x2c0fff [[QtSql]]     /Library/Frameworks/QtSql.framework/Versions/4/QtSql

  0x2e1000 -   0x2f4fff libpq.5.dylib     /usr/local/pgsql/lib/libpq.5.dylib

  0x2fd000 -   0x2fdfff net.refractions.geos 3.0.0 (GEOS 3.0.0-rc4)    /Library/Frameworks/GEOS.framework/Versions/3.0/GEOS

  0x405000 -   0x619fff Qt3Support     /Library/Frameworks/Qt3Support.framework/Versions/4/Qt3Support

  0x779000 -   0x7b8fff [[QtSvg]]     /Library/Frameworks/QtSvg.framework/Versions/4/QtSvg

  0x7e4000 -   0x7eafff libgeosc.dylib     /Library/Frameworks/GEOS.framework/Versions/3.0/Libraries/libgeosc.dylib

  0x7f6000 -   0x7f6fff com.kyngchaos.UnixImageIO 1.0.15 (UnixImageIO 1.0.15)   

/Library/Frameworks/UnixImageIO.framework/Versions/A/UnixImageIO

 0x1008000 -  0x164bfff [[QtGui]]     /Library/Frameworks/QtGui.framework/Versions/4/QtGui

 0x19a5000 -  0x19f5fff [[QtXml]]     /Library/Frameworks/QtXml.framework/Versions/4/QtXml

 0x1a2a000 -  0x1ab7fff [[QtNetwork]]     /Library/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

 0x1b02000 -  0x1c56fff [[QtCore]]     /Library/Frameworks/QtCore.framework/Versions/4/QtCore

 0x1d03000 -  0x1e0bfff libqgis_core.dylib     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/libqgis_core.dylib

 0x1ea4000 -  0x1ec9fff libqgis_gui.dylib     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/libqgis_gui.dylib

 0x1eee000 -  0x1fe2fff org.python.python 2.5a0 (2.5)    /Library/Frameworks/Python.framework/Versions/2.5/Python
 0x22de000 -  0x230afff org.maptools.proj 4.5.0 (PROJ 4.5.0-4)    /Library/Frameworks/PROJ.framework/Versions/4.5/PROJ

 0x2316000 -  0x235ffff org.sqlite.sqlite3 3.3.16 (SQLite3 3.3.16-1)    /Library/Frameworks/SQLite3.framework/Versions/3.3/SQLite3

 0x236c000 -  0x265efff org.gdal.gdal 1.4.2 (GDAL 1.4.2-0)    /Library/Frameworks/GDAL.framework/Versions/1.4/GDAL

 0x2820000 -  0x2827fff libgcc_s.1.dylib     /usr/local/lib/libgcc_s.1.dylib

 0x284a000 -  0x2902fff libgeos.dylib     /Library/Frameworks/GEOS.framework/Versions/3.0/Libraries/libgeos.dylib

 0x2a3b000 -  0x2c54fff Xerces     /Library/Frameworks/Xerces.framework/Versions/A/Xerces

 0x2e9c000 -  0x2ea0fff libgif.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libgif.dylib

 0x2ea4000 -  0x2ebdfff libjpeg.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libjpeg.dylib

 0x2ec3000 -  0x2ef7fff libjasper.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libjasper.dylib

 0x2f0a000 -  0x2fb0fff libXpm.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libXpm.dylib

 0x2fcc000 -  0x2fe6fff libpng.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libpng.dylib

 0x2fee000 -  0x303bfff libtiff.dylib     /Library/Frameworks/UnixImageIO.framework/Versions/A/Libraries/libtiff.dylib

 0xfd75000 -  0xfd7bfff libqgif.dylib     /Developer/Applications/Qt/plugins/imageformats/libqgif.dylib

 0xfd81000 -  0xfda2fff libqjpeg.dylib     /Developer/Applications/Qt/plugins/imageformats/libqjpeg.dylib

 0xfdab000 -  0xfdf1fff libqmng.dylib     /Developer/Applications/Qt/plugins/imageformats/libqmng.dylib

 0xfe02000 -  0xfe07fff libqsvg.dylib     /Developer/Applications/Qt/plugins/imageformats/libqsvg.dylib

 0xfe0d000 -  0xfe55fff libqtiff.dylib     /Developer/Applications/Qt/plugins/imageformats/libqtiff.dylib

 0xffc3000 -  0xffc3fff libgrass_linkm.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_linkm.dylib

0x100fa000 - 0x100fefff libgrass_dbmiclient.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_dbmiclient.dylib

0x1011c000 - 0x1011efff net.culater.SIMBL 0.8 (8)    /Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL

0x102ee000 - 0x102f4fff libgrass_dbmibase.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_dbmibase.dylib

0x10315000 - 0x10323fff libdelimitedtextprovider.so    

/Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libdelimitedtextprovider.so

0x1032a000 - 0x10336fff libgrass_dig2.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_dig2.dylib

0x106bd000 - 0x106c0fff libgrass_rtree.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_rtree.dylib

0x10a7e000 - 0x10aa5fff libcopyrightlabelplugin.so    

/Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libcopyrightlabelplugin.so

0x10aaf000 - 0x10ae4fff libdelimitedtextplugin.so    

/Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libdelimitedtextplugin.so

0x10aee000 - 0x10b0ffff libgeorefplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgeorefplugin.so

0x10b22000 - 0x10b23fff libgrass_form.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_form.dylib

0x10c1e000 - 0x10c6bfff libgslcblas.0.dylib     /usr/local/lib/libgslcblas.0.dylib

0x10c72000 - 0x10c8dfff libgpxprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgpxprovider.so

0x10c9a000 - 0x10cb1fff libexpat.0.1.0.dylib     /usr/local/lib/libexpat.0.1.0.dylib

0x10ce5000 - 0x10cebfff libgrass_shape.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_shape.dylib

0x10cef000 - 0x10cf3fff libgrass_datetime.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_datetime.dylib

0x10cf8000 - 0x10cfbfff libgrass_gmath.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_gmath.dylib

0x10e8b000 - 0x10e8efff gdal_GRASS.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_GRASS.dylib

0x10eae000 - 0x11092fff libgsl.0.dylib     /usr/local/lib/libgsl.0.dylib

0x110eb000 - 0x11175fff libgpsimporterplugin.so    

/Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgpsimporterplugin.so

0x1118b000 - 0x1129cfff libgrassplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgrassplugin.so

0x1130a000 - 0x1132ffff libqgisgrass.dylib     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/libqgisgrass.dylib

0x11341000 - 0x11376fff libgrass_gis.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_gis.dylib

0x1138b000 - 0x113aefff libgrass_vect.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_vect.dylib

0x113ba000 - 0x113c8fff libgrass_dgl.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_dgl.dylib

0x113cf000 - 0x113d4fff libgrass_gproj.dylib     /Applications/GRASS-6.3.app/Contents/Resources/lib/libgrass_gproj.dylib

0x113d9000 - 0x113e2fff libgrassprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgrassprovider.so

0x113e6000 - 0x11410fff libgridmakerplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libgridmakerplugin.so

0x1141c000 - 0x11446fff libnortharrowplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libnortharrowplugin.so

0x11451000 - 0x11460fff libogrprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libogrprovider.so

0x11469000 - 0x11508fff ogr_DODS.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/ogr_DODS.dylib

0x11592000 - 0x11597fff ogr_GRASS.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/ogr_GRASS.dylib
0x1159e000 - 0x115a2fff libgrass_datetime.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_datetime.dylib

0x115a7000 - 0x115defff libgrass_gis.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_gis.dylib

0x11606000 - 0x11608fff libgrass_vask.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_vask.dylib

0x1160d000 - 0x11617fff libgrass_I.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_I.dylib

0x1161e000 - 0x11623fff libgrass_gproj.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_gproj.dylib

0x11628000 - 0x1162efff libgrass_dbmibase.dylib    

/Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_dbmibase.dylib

0x11636000 - 0x1163afff libgrass_dbmiclient.dylib    

/Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_dbmiclient.dylib

0x11640000 - 0x11663fff libgrass_vect.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_vect.dylib

0x1166f000 - 0x1166ffff libgrass_linkm.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_linkm.dylib

0x11673000 - 0x11676fff libgrass_rtree.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_rtree.dylib

0x1167a000 - 0x11688fff libgrass_dgl.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_dgl.dylib

0x1168f000 - 0x1169bfff libgrass_dig2.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/grass/lib/libgrass_dig2.dylib

0x116a1000 - 0x11728fff org.fftw.fftw3 3.1.1 (FFTW3 3.1.1-2)    /Library/Frameworks/FFTW3.framework/Versions/3.1/FFTW3

0x11741000 - 0x11768fff libncurses.5.dylib     /usr/lib/libncurses.5.dylib

0x11783000 - 0x117a8fff ogr_MySQL.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/ogr_MySQL.dylib

0x117e0000 - 0x117e2fff ogr_OGDI.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/ogr_OGDI.dylib

0x117e8000 - 0x11818fff libogdi.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/Libraries/libogdi.dylib

0x11827000 - 0x11832fff ogr_PG.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/ogr_PG.dylib

0x1183b000 - 0x1184ffff libpggeoprocessingplugin.so    

/Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libpggeoprocessingplugin.so

0x1185a000 - 0x1188bfff libpostgresprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libpostgresprovider.so

0x1189f000 - 0x118cffff libscalebarplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libscalebarplugin.so

0x118d9000 - 0x11910fff libspitplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libspitplugin.so

0x1192a000 - 0x1193efff libwfsplugin.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libwfsplugin.so

0x1194c000 - 0x11966fff libwfsprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libwfsprovider.so

0x11974000 - 0x119a5fff libwmsprovider.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/lib/qgis/libwmsprovider.so

0x119bb000 - 0x119c6fff sip.so     /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/sip.so

0x11a0c000 - 0x11a3afff [[QtXml]].so    

/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/PyQt4/QtXml.so

0x11afc000 - 0x11afefff gdal_OGDI.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_OGDI.dylib

0x11b0d000 - 0x11c04fff [[QtCore]].so    

/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/PyQt4/QtCore.so

0x11cdf000 - 0x1212bfff [[QtGui]].so     /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/PyQt4/QtGui.so

0x12516000 - 0x12586fff core.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/share/qgis/python/qgis/core.so

0x125f0000 - 0x126f8fff libqgis_core.dylib     /Users/jctull/sources/qgis/trunk/build/src/core/libqgis_core.dylib

0x12791000 - 0x127e0fff gui.so     /Applications/qgis0.9.0preview1.app/Contents/MacOS/share/qgis/python/qgis/gui.so

0x1282f000 - 0x12854fff libqgis_gui.dylib     /Users/jctull/sources/qgis/trunk/build/src/gui/libqgis_gui.dylib

0x12ab4000 - 0x12b51fff gdal_DODS.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_DODS.dylib

0x12bd9000 - 0x12cbffff gdal_FITS.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_FITS.dylib

0x12d48000 - 0x12dd8fff gdal_HDF4.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_HDF4.dylib

0x12e5e000 - 0x12f3efff gdal_HDF5.dylib     /Library/Frameworks/GDAL.framework/Versions/1.4/PlugIns/gdal_HDF5.dylib

0x12f60000 - 0x13051fff gdal_ECW.dylib     /Library/Application Support/GDAL/PlugIns/gdal_ECW.dylib

0x13154000 - 0x13294fff gdal_MrSID.dylib     /Library/Application Support/GDAL/PlugIns/gdal_MrSID.dylib

0x139bf000 - 0x139c3fff com.apple.CommonCocoaPanels 2.0 (10)   

/System/Library/CoreServices/CommonCocoaPanels.bundle/Contents/MacOS/CommonCocoaPanels

0x8fe00000 - 0x8fe4afff dyld 46.12    /usr/lib/dyld

0x90000000 - 0x90171fff libSystem.B.dylib     /usr/lib/libSystem.B.dylib

0x901c1000 - 0x901c3fff libmathCommon.A.dylib     /usr/lib/system/libmathCommon.A.dylib

0x901c5000 - 0x90202fff com.apple.CoreText 1.1.2 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x90229000 - 0x902fffff ATS    
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x9031f000 - 0x90774fff com.apple.CoreGraphics 1.258.75 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.7 (368.28)   

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (?)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x90913000 - 0x90a07fff libicucore.A.dylib     /usr/lib/libicucore.A.dylib

0x90a57000 - 0x90ad6fff libobjc.A.dylib     /usr/lib/libobjc.A.dylib

0x90aff000 - 0x90b63fff libstdc++.6.dylib     /usr/lib/libstdc++.6.dylib

0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib     /usr/lib/libgcc_s.1.dylib

0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (?)    /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x90c66000 - 0x90c78fff libauto.dylib     /usr/lib/libauto.dylib

0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.26   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x91008000 - 0x91047fff com.apple.CFNetwork 129.21   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore

ore

0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.5   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36)   

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x91158000 - 0x91166fff libz.1.dylib     /usr/lib/libz.1.dylib

0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774)    /System/Library/Frameworks/Security.framework/Versions/A/Security

0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.1   

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x91415000 - 0x9141cfff libbsm.dylib     /usr/lib/libbsm.dylib

0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6   

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.4    /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x91521000 - 0x9154dfff com.apple.AE 314 (313)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x91560000 - 0x91634fff com.apple.ColorSync 4.4.9   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x9166f000 - 0x916e2fff com.apple.print.framework.PrintCore 4.6 (177.13)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x91710000 - 0x917b9fff com.apple.QD 3.10.24 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x917df000 - 0x9182afff com.apple.HIServices 1.5.2 (?)   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x91849000 - 0x9185ffff com.apple.LangAnalysis 1.6.3   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x9186b000 - 0x91886fff com.apple.FindByContent 1.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent

ent

0x91891000 - 0x918cefff com.apple.LaunchServices 182   
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

vices

0x918e2000 - 0x918eefff com.apple.speech.synthesis.framework 3.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x918f5000 - 0x91935fff com.apple.ImageIO.framework 1.5.5   

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x91948000 - 0x919fafff libcrypto.0.9.7.dylib     /usr/lib/libcrypto.0.9.7.dylib

0x91a40000 - 0x91a56fff libcups.2.dylib     /usr/lib/libcups.2.dylib

0x91a5b000 - 0x91a79fff libJPEG.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib

G.dylib

0x91a7e000 - 0x91addfff libJP2.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib

dylib

0x91aef000 - 0x91af3fff libGIF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x91af5000 - 0x91b7bfff libRaw.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib

.dylib

0x91b7f000 - 0x91bbcfff libTIFF.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib

.dylib

0x91bc2000 - 0x91bdcfff libPng.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib

0x91be1000 - 0x91be3fff libRadiance.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x91be5000 - 0x91cc3fff libxml2.2.dylib     /usr/lib/libxml2.2.dylib

0x91ce0000 - 0x91ce0fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x91ce2000 - 0x91d70fff com.apple.vImage 2.5   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x91d77000 - 0x91d77fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)   

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x91d79000 - 0x91dd2fff libvMisc.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x91ddb000 - 0x91dfffff libvDSP.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x91e07000 - 0x92210fff libBLAS.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x9224a000 - 0x925fefff libLAPACK.dylib    

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x9262b000 - 0x92718fff libiconv.2.dylib     /usr/lib/libiconv.2.dylib

0x9271a000 - 0x92797fff com.apple.DesktopServices 1.3.6   

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x927d8000 - 0x92a08fff com.apple.Foundation 6.4.8 (567.29)   

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x92b22000 - 0x92b39fff libGL.dylib     /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x92b44000 - 0x92b9cfff libGLU.dylib     /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x92bb0000 - 0x92bb0fff com.apple.Carbon 10.4 (?)    /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bb2000 - 0x92bc2fff com.apple.ImageCapture 3.0.4   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x92bd1000 - 0x92bd9fff com.apple.speech.recognition.framework 3.6   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x92bdf000 - 0x92be5fff com.apple.securityhi 2.0.1 (24742)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x92beb000 - 0x92c7cfff com.apple.ink.framework 101.2.1 (71)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x92c90000 - 0x92c94fff com.apple.help 1.0.3 (32.1)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x92c97000 - 0x92cb5fff com.apple.openscripting 1.2.5 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x92cc7000 - 0x92ccdfff com.apple.print.framework.Print 5.2 (192.4)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x92cd3000 - 0x92d36fff com.apple.htmlrendering 66.1 (1.1.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x92d5d000 - 0x92d9efff com.apple.NavigationServices 3.4.4 (3.4.3)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x92dc5000 - 0x92dd3fff com.apple.audio.SoundManager 3.9.1   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x92dda000 - 0x92ddffff com.apple.CommonPanels 1.2.3 (73)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x92de4000 - 0x930d9fff com.apple.HIToolbox 1.4.9 (?)   

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x931df000 - 0x931eafff com.apple.opengl 1.4.16    /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x9327a000 - 0x9327afff com.apple.Cocoa 6.4 (???)    /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x9327c000 - 0x93932fff com.apple.AppKit 6.4.8 (824.42)    /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x93cb3000 - 0x93d2efff com.apple.CoreData 91 (92.1)    /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x93d67000 - 0x93e21fff com.apple.audio.toolbox.AudioToolbox 1.4.5   

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x93e64000 - 0x93e64fff com.apple.audio.units.AudioUnit 1.4.2   

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x93e66000 - 0x94027fff com.apple.QuartzCore 1.4.12    /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x9406d000 - 0x940aefff libsqlite3.0.dylib     /usr/lib/libsqlite3.0.dylib

0x940b6000 - 0x940f0fff libGLImage.dylib     /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x940f5000 - 0x9410bfff com.apple.CoreVideo 1.4.1    /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x9429e000 - 0x942adfff libCGATS.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib

CGATS.A.dylib

0x942b4000 - 0x942bffff libCSync.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x9430b000 - 0x94325fff libRIP.A.dylib    

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib

0x9432b000 - 0x94634fff com.apple.QuickTime 7.2.0    /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime

0x949e1000 - 0x94a06fff libssl.0.9.7.dylib     /usr/lib/libssl.0.9.7.dylib

0x94a12000 - 0x94a2ffff libresolv.9.dylib     /usr/lib/libresolv.9.dylib

0x94bda000 - 0x94cb2fff edu.mit.Kerberos 5.5.25    /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x96311000 - 0x9631afff libpam.1.dylib     /usr/lib/libpam.1.dylib

0x963d6000 - 0x963ecfff libJapaneseConverter.dylib     /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0x9641c000 - 0x9642afff libSimplifiedChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x96432000 - 0x96444fff libTraditionalChineseConverter.dylib    

/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x96de6000 - 0x96de6fff com.apple.vecLib 3.3.1 (vecLib 3.3.1)    /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x97be0000 - 0x97c1efff libiodbc.2.dylib     /usr/lib/libiodbc.2.dylib

0x97c2b000 - 0x97c34fff libiodbcinst.2.dylib     /usr/lib/libiodbcinst.2.dylib

History

#1 - 2007-08-15 09:30 PM - John Tull

The crash occurs for colors that were made with the CMYK picker and saved to the color "favorites" palette at the bottom of the picker window. I switched

to another method of color selection, but still had the crash when selecting a "favorite" color that was made using CMYK codes. Converting all of my saved

colors to RGB allows me to store and use favorites. Is CMYK not supported in Qt4 or Qgis?

#2 - 2007-11-07 04:49 PM - Tom Elwertowski

- Resolution set to fixed

- Status changed from Open to Closed

This looks like Qt bug 153436 reported in 4.3.0 and fixed in 4.3.2. When I run QGIS 8.1 (built with Qt 4.3.0), I get this crash. When I run QGIS 9.0 (built

with Qt 4.3.2), I don't.

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
